# ApplicationFramework
TKPShape
PPoly

# PPoly_VArrayNodeOfFieldOfHArray1OfTriangle Class Reference

`#include <PPoly_VArrayNodeOfFieldOfHArray1OfTriangle.hxx>`

Inheritance diagram for PPoly_VArrayNodeOfFieldOfHArray1OfTriangle:

[legend]

## Public Member Functions

Standard_EXPORT | PPoly_VArrayNodeOfFieldOfHArray1OfTriangle ()
Standard_EXPORT | PPoly_VArrayNodeOfFieldOfHArray1OfTriangle (const PPoly_Triangle &aValue)
Standard_EXPORT void | SetValue (const PPoly_Triangle &aValue)
Standard_EXPORT Standard_Address | Value () const
| PPoly_VArrayNodeOfFieldOfHArray1OfTriangle (const Storage_stCONSTclCOM &a)
const PPoly_Triangle & | _CSFDB_GetPPoly_VArrayNodeOfFieldOfHArray1OfTrianglemyValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

PPoly_Triangle | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::PPoly_VArrayNodeOfFieldOfHArray1OfTriangle | ( |  | ) |

Standard_EXPORT PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::PPoly_VArrayNodeOfFieldOfHArray1OfTriangle | ( | const PPoly_Triangle & | aValue | ) |

PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::PPoly_VArrayNodeOfFieldOfHArray1OfTriangle | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PPoly_Triangle& PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::_CSFDB_GetPPoly_VArrayNodeOfFieldOfHArray1OfTrianglemyValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::SetValue | ( | const PPoly_Triangle & | aValue | ) |

Standard_EXPORT Standard_Address PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::Value | ( |  | ) | const

## Field Documentation

PPoly_Triangle PPoly_VArrayNodeOfFieldOfHArray1OfTriangle::myValue `[private]`

The documentation for this class was generated from the following file:

- PPoly_VArrayNodeOfFieldOfHArray1OfTriangle.hxx